<div class="setup-page" *ngIf="showForm">
  <form
    class="form mat-elevation-z8"
    [formGroup]="quizForm"
    (ngSubmit)="onQuizFormSubmit()"
  >
    <h1 class="mat-display-2">Quiz Game</h1>
    <button
      type="button"
      (click)="installPwa()"
      color="accent"
      mat-raised-button
    >
      Install as PWA
    </button>
    <mat-form-field appearance="outline">
      <mat-label>Your Name</mat-label>
      <input
        formControlName="name"
        matInput
        #name
        maxlength="256"
        placeholder="What's your name?"
      />
      <mat-hint align="start"><strong>First or full name</strong> </mat-hint>
      <mat-hint align="end">{{ name.value.length }} / 100</mat-hint>
      <!-- <mat-error *ngIf="name.value.length > 5"> Name too long. </mat-error> -->
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>Number of Questions</mat-label>
      <input
        formControlName="amount"
        type="number"
        matInput
        #name
        min="3"
        max="20"
        placeholder="How many questions do you want?"
      />
      <mat-hint align="start"><strong>Min: 3 | Max: 20</strong> </mat-hint>
      <!-- <mat-error *ngIf="name.value.length > 5"> Name too long. </mat-error> -->
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>Category</mat-label>
      <mat-select formControlName="category">
        <mat-option *ngFor="let category of categories" [value]="category.id">
          {{ category.name }}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>Difficulty</mat-label>
      <mat-select formControlName="difficulty">
        <mat-option
          *ngFor="let difficulty of difficulties"
          [value]="difficulty.value"
        >
          {{ difficulty.viewValue }}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <div class="buttons-div">
      <button type="submit" class="submit-button" mat-stroked-button>
        Submit
      </button>
      <button
        type="button"
        class="submit-button"
        (click)="randomize()"
        color="accent"
        mat-stroked-button
      >
        Randomized
      </button>
    </div>
  </form>
</div>
